# $Revision: 1.23 $, $Date: 2008/07/27 22:38:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Session
Summary:	Drive ssh or other interactive shell, local or remote (like 'expect')
Summary(pl.UTF-8):	Sterowanie ssh lub inną interaktywną powłoką lokalną lub zdalną (podobnie do expect)
Name:		perl-IPC-Session
Version:	0.05
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa56a95d08ebfc11edff3d9e9515d93c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	/bin/csh}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Session encapsulates the open3() function call (see the IPC::Open3
manpage) and its associated filehandles.  This makes it easy to maintain
multiple interactive command sessions, such as multiple persistent 'ssh'
and/or 'rsh' sessions, within the same perl script.

%description -l pl.UTF-8
IPC::Session obudowuje funkcję open3() (zobacz stronę podręcznika
systemowego dla IPC::Open3) i związane z nią uchwyty plików. Pozwala to
na łatwe zarządzanie wieloma interaktywnymi sesjami, np. w przypadku
wielu przezroczystych sesji 'ssh' i/lub 'rsh' w jednym skrypcie Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/IPC/Session.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Session.spec,v $
Revision 1.23  2008/07/27 22:38:32  arekm
- release 4

Revision 1.22  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:27  paladine
- formatting

Revision 1.19  2004/10/29 23:42:14  qboosh
- pl summary

Revision 1.18  2004/10/29 16:51:06  radek
- informative summary

Revision 1.17  2004/10/24 15:16:22  paladine
- perla->Perla

Revision 1.16  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.15  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/26 12:52:44  radek
- BR:/bin/csh if tests are on; which test(s) failed? SOA#1...

Revision 1.13  2004/04/25 20:57:42  ankry
- added tests (but fail, needs investigation)

Revision 1.12  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.11  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.10  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.9  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:34:00  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/12 09:58:05  qboosh
- new %%doc and cosmetics

Revision 1.2  2002/07/11 08:31:00  depesz
- tests removed (failed at my box, but the module itself works perfectly)

Revision 1.1  2002/07/11 08:23:03  depesz
- spec supplied by Radoslaw Zielinski
